Package ru.bitel.bgbilling.modules.bill.server.bean

# Class TemplateBill

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.TemplateBill

public class TemplateBill extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateBill()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractComment()`
  `int`
  `getContractDocTypeId()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `int`
  `getDocTypeId()`
  `String`
  `getDocTypeTitle()`
  `List<PositionValue>`
  `getPositionList()`
  `List<TemplateBill>`
  `getSubBillList()`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractDocTypeId(int value)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String title)`
  `void`
  `setDocTypeId(int docTypeId)`
  `void`
  `setDocTypeTitle(String docTypeTitle)`
  `void`
  `setPositionList(List<PositionValue> positionList)`
  `void`
  `setSubBillList(List<TemplateBill> subBillList)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemplateBill

    public TemplateBill()

- ## Method Details

  - ### getPositionList

    public List<PositionValue> getPositionList()

  - ### setPositionList

    public void setPositionList(List<PositionValue> positionList)

  - ### getContractDocTypeId

    public int getContractDocTypeId()

  - ### setContractDocTypeId

    public void setContractDocTypeId(int value)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String title)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getDocTypeId

    public int getDocTypeId()

  - ### setDocTypeId

    public void setDocTypeId(int docTypeId)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getSubBillList

    public List<TemplateBill> getSubBillList()

  - ### setSubBillList

    public void setSubBillList(List<TemplateBill> subBillList)

  - ### getDocTypeTitle

    public String getDocTypeTitle()

  - ### setDocTypeTitle

    public void setDocTypeTitle(String docTypeTitle)